SpareSpare Docs
GuidesAPI Reference

Providers & Requests

Provider directory and account information request management.

GET
/api/v1.0/ais/Provider/List
Authorization
Query

Country ISO 3166 alpha-2 code

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1.0/ais/Provider/List?countryCode=string"
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "country": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "createdAt": "2019-08-24T14:15:22Z",        "updatedAt": "2019-08-24T14:15:22Z",        "currency": {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "englishName": "string",          "arabicName": "string",          "iso4117Code": "str",          "iso4117Number": "stri"        },        "englishName": "string",        "arabicName": "string",        "iso3166Code": "st",        "timeZone": "string"      },      "allowedPermissions": [        "ReadAccountsBasic"      ],      "address": "string",      "phone": "string",      "arabicName": "string",      "englishName": "string",      "status": "Active",      "isEnable": true,      "logo": "http://example.com"    }  ]}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
Empty
POST
/api/v1.0/ais/Request/CreateShortLivedRequest
Authorization
Body
*object
array<string>

Request Body

application/json

Account information access request.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1.0/ais/Request/CreateShortLivedRequest" \  -H "Content-Type: application/json" \  -d '{    "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",    "countryCode": "string",    "requestPermissions": [      "ReadAccountsBasic"    ]  }'
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "status": "AwaitingApproval",    "source": "WEB",    "consentExpiryDate": "2019-08-24T14:15:22Z",    "consent": {      "expiryDate": "2019-08-24T14:15:22Z",      "transactionsFromDate": "2019-08-24T14:15:22Z",      "transactionsToDate": "2019-08-24T14:15:22Z",      "permissions": [        "string"      ],      "statusHistory": [        {          "status": "AwaitingAuthorization",          "dateTime": "2019-08-24T14:15:22Z"        }      ],      "connection": {        "provider": {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "country": {            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "createdAt": "2019-08-24T14:15:22Z",            "updatedAt": "2019-08-24T14:15:22Z",            "currency": {              "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",              "englishName": "string",              "arabicName": "string",              "iso4117Code": "str",              "iso4117Number": "stri"            },            "englishName": "string",            "arabicName": "string",            "iso3166Code": "st",            "timeZone": "string"          },          "allowedPermissions": [            "ReadAccountsBasic"          ],          "address": "string",          "phone": "string",          "arabicName": "string",          "englishName": "string",          "status": "Active",          "isEnable": true,          "logo": "http://example.com"        },        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "status": "ACTIVE",        "createdAt": "2019-08-24T14:15:22Z",        "updatedAt": "2019-08-24T14:15:22Z"      },      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",      "scope": "Accounts",      "createdAt": "2019-08-24T14:15:22Z",      "status": "AwaitingAuthorization",      "authorizationLink": "string",      "successRedirectUrl": "string",      "failureRedirectUrl": "string"    },    "country": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "currency": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "englishName": "string",        "arabicName": "string",        "iso4117Code": "str",        "iso4117Number": "stri"      },      "englishName": "string",      "arabicName": "string",      "iso3166Code": "st",      "timeZone": "string"    },    "requestPermissions": [      "string"    ],    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "requestLink": "string",    "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",    "consentTransactionsFromDate": "2019-08-24T14:15:22Z",    "consentTransactionsToDate": "2019-08-24T14:15:22Z",    "countryCode": "string",    "redirectionFlow": "WEB",    "successRedirectUrl": "http://example.com",    "failureRedirectUrl": "http://example.com",    "autoRedirect": true  }}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
Empty
POST
/api/v1.0/ais/Request/CreateLongLivedRequest
Authorization
Body
*object
array<string>

Request Body

application/json

Account information access request.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1.0/ais/Request/CreateLongLivedRequest" \  -H "Content-Type: application/json" \  -d '{    "consentExpiryDate": "2019-08-24T14:15:22Z",    "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",    "countryCode": "string",    "requestPermissions": [      "ReadAccountsBasic"    ]  }'
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "status": "AwaitingApproval",    "source": "WEB",    "consentExpiryDate": "2019-08-24T14:15:22Z",    "consent": {      "expiryDate": "2019-08-24T14:15:22Z",      "transactionsFromDate": "2019-08-24T14:15:22Z",      "transactionsToDate": "2019-08-24T14:15:22Z",      "permissions": [        "string"      ],      "statusHistory": [        {          "status": "AwaitingAuthorization",          "dateTime": "2019-08-24T14:15:22Z"        }      ],      "connection": {        "provider": {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "country": {            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "createdAt": "2019-08-24T14:15:22Z",            "updatedAt": "2019-08-24T14:15:22Z",            "currency": {              "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",              "englishName": "string",              "arabicName": "string",              "iso4117Code": "str",              "iso4117Number": "stri"            },            "englishName": "string",            "arabicName": "string",            "iso3166Code": "st",            "timeZone": "string"          },          "allowedPermissions": [            "ReadAccountsBasic"          ],          "address": "string",          "phone": "string",          "arabicName": "string",          "englishName": "string",          "status": "Active",          "isEnable": true,          "logo": "http://example.com"        },        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "status": "ACTIVE",        "createdAt": "2019-08-24T14:15:22Z",        "updatedAt": "2019-08-24T14:15:22Z"      },      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",      "scope": "Accounts",      "createdAt": "2019-08-24T14:15:22Z",      "status": "AwaitingAuthorization",      "authorizationLink": "string",      "successRedirectUrl": "string",      "failureRedirectUrl": "string"    },    "country": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "currency": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "englishName": "string",        "arabicName": "string",        "iso4117Code": "str",        "iso4117Number": "stri"      },      "englishName": "string",      "arabicName": "string",      "iso3166Code": "st",      "timeZone": "string"    },    "requestPermissions": [      "string"    ],    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "requestLink": "string",    "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",    "consentTransactionsFromDate": "2019-08-24T14:15:22Z",    "consentTransactionsToDate": "2019-08-24T14:15:22Z",    "countryCode": "string",    "redirectionFlow": "WEB",    "successRedirectUrl": "http://example.com",    "failureRedirectUrl": "http://example.com",    "autoRedirect": true  }}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
Empty
GET
/api/v1.0/ais/Request/List
Authorization
Query

Page number

Number of items per page maximum allow is 500 per page

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1.0/ais/Request/List"
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "status": "AwaitingApproval",      "source": "WEB",      "consentExpiryDate": "2019-08-24T14:15:22Z",      "consent": {        "expiryDate": "2019-08-24T14:15:22Z",        "transactionsFromDate": "2019-08-24T14:15:22Z",        "transactionsToDate": "2019-08-24T14:15:22Z",        "permissions": [          "string"        ],        "statusHistory": [          {            "status": "AwaitingAuthorization",            "dateTime": "2019-08-24T14:15:22Z"          }        ],        "connection": {          "provider": {            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "country": {              "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",              "createdAt": "2019-08-24T14:15:22Z",              "updatedAt": "2019-08-24T14:15:22Z",              "currency": {                "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",                "englishName": "string",                "arabicName": "string",                "iso4117Code": "str",                "iso4117Number": "stri"              },              "englishName": "string",              "arabicName": "string",              "iso3166Code": "st",              "timeZone": "string"            },            "allowedPermissions": [              "ReadAccountsBasic"            ],            "address": "string",            "phone": "string",            "arabicName": "string",            "englishName": "string",            "status": "Active",            "isEnable": true,            "logo": "http://example.com"          },          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "status": "ACTIVE",          "createdAt": "2019-08-24T14:15:22Z",          "updatedAt": "2019-08-24T14:15:22Z"        },        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",        "scope": "Accounts",        "createdAt": "2019-08-24T14:15:22Z",        "status": "AwaitingAuthorization",        "authorizationLink": "string",        "successRedirectUrl": "string",        "failureRedirectUrl": "string"      },      "country": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "createdAt": "2019-08-24T14:15:22Z",        "updatedAt": "2019-08-24T14:15:22Z",        "currency": {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "englishName": "string",          "arabicName": "string",          "iso4117Code": "str",          "iso4117Number": "stri"        },        "englishName": "string",        "arabicName": "string",        "iso3166Code": "st",        "timeZone": "string"      },      "requestPermissions": [        "string"      ],      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "requestLink": "string",      "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",      "consentTransactionsFromDate": "2019-08-24T14:15:22Z",      "consentTransactionsToDate": "2019-08-24T14:15:22Z",      "countryCode": "string",      "redirectionFlow": "WEB",      "successRedirectUrl": "http://example.com",      "failureRedirectUrl": "http://example.com",      "autoRedirect": true    }  ],  "meta": {    "currentPageNumber": 0,    "pageSize": 0,    "totalNumberOfPages": 0,    "totalItems": 0  }}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
Empty
GET
/api/v1.0/ais/Request/Get
Authorization
Query

Account information access request id

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1.0/ais/Request/Get?id=497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "status": "AwaitingApproval",    "source": "WEB",    "consentExpiryDate": "2019-08-24T14:15:22Z",    "consent": {      "expiryDate": "2019-08-24T14:15:22Z",      "transactionsFromDate": "2019-08-24T14:15:22Z",      "transactionsToDate": "2019-08-24T14:15:22Z",      "permissions": [        "string"      ],      "statusHistory": [        {          "status": "AwaitingAuthorization",          "dateTime": "2019-08-24T14:15:22Z"        }      ],      "connection": {        "provider": {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "country": {            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "createdAt": "2019-08-24T14:15:22Z",            "updatedAt": "2019-08-24T14:15:22Z",            "currency": {              "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",              "englishName": "string",              "arabicName": "string",              "iso4117Code": "str",              "iso4117Number": "stri"            },            "englishName": "string",            "arabicName": "string",            "iso3166Code": "st",            "timeZone": "string"          },          "allowedPermissions": [            "ReadAccountsBasic"          ],          "address": "string",          "phone": "string",          "arabicName": "string",          "englishName": "string",          "status": "Active",          "isEnable": true,          "logo": "http://example.com"        },        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "status": "ACTIVE",        "createdAt": "2019-08-24T14:15:22Z",        "updatedAt": "2019-08-24T14:15:22Z"      },      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",      "scope": "Accounts",      "createdAt": "2019-08-24T14:15:22Z",      "status": "AwaitingAuthorization",      "authorizationLink": "string",      "successRedirectUrl": "string",      "failureRedirectUrl": "string"    },    "country": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "currency": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "englishName": "string",        "arabicName": "string",        "iso4117Code": "str",        "iso4117Number": "stri"      },      "englishName": "string",      "arabicName": "string",      "iso3166Code": "st",      "timeZone": "string"    },    "requestPermissions": [      "string"    ],    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "requestLink": "string",    "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",    "consentTransactionsFromDate": "2019-08-24T14:15:22Z",    "consentTransactionsToDate": "2019-08-24T14:15:22Z",    "countryCode": "string",    "redirectionFlow": "WEB",    "successRedirectUrl": "http://example.com",    "failureRedirectUrl": "http://example.com",    "autoRedirect": true  }}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
Empty
PUT
/api/v1.0/ais/Request/Update
Authorization
Query

Account information access request id

Body
*object
array<string>

Request Body

application/json

Account information access request.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/v1.0/ais/Request/Update?id=497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "countryCode": "string",    "requestPermissions": [      "ReadAccountsBasic"    ]  }'
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "status": "AwaitingApproval",    "source": "WEB",    "consentExpiryDate": "2019-08-24T14:15:22Z",    "consent": {      "expiryDate": "2019-08-24T14:15:22Z",      "transactionsFromDate": "2019-08-24T14:15:22Z",      "transactionsToDate": "2019-08-24T14:15:22Z",      "permissions": [        "string"      ],      "statusHistory": [        {          "status": "AwaitingAuthorization",          "dateTime": "2019-08-24T14:15:22Z"        }      ],      "connection": {        "provider": {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "country": {            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "createdAt": "2019-08-24T14:15:22Z",            "updatedAt": "2019-08-24T14:15:22Z",            "currency": {              "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",              "englishName": "string",              "arabicName": "string",              "iso4117Code": "str",              "iso4117Number": "stri"            },            "englishName": "string",            "arabicName": "string",            "iso3166Code": "st",            "timeZone": "string"          },          "allowedPermissions": [            "ReadAccountsBasic"          ],          "address": "string",          "phone": "string",          "arabicName": "string",          "englishName": "string",          "status": "Active",          "isEnable": true,          "logo": "http://example.com"        },        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "status": "ACTIVE",        "createdAt": "2019-08-24T14:15:22Z",        "updatedAt": "2019-08-24T14:15:22Z"      },      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",      "scope": "Accounts",      "createdAt": "2019-08-24T14:15:22Z",      "status": "AwaitingAuthorization",      "authorizationLink": "string",      "successRedirectUrl": "string",      "failureRedirectUrl": "string"    },    "country": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "currency": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "englishName": "string",        "arabicName": "string",        "iso4117Code": "str",        "iso4117Number": "stri"      },      "englishName": "string",      "arabicName": "string",      "iso3166Code": "st",      "timeZone": "string"    },    "requestPermissions": [      "string"    ],    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "requestLink": "string",    "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",    "consentTransactionsFromDate": "2019-08-24T14:15:22Z",    "consentTransactionsToDate": "2019-08-24T14:15:22Z",    "countryCode": "string",    "redirectionFlow": "WEB",    "successRedirectUrl": "http://example.com",    "failureRedirectUrl": "http://example.com",    "autoRedirect": true  }}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
Empty
DELETE
/api/v1.0/ais/Request/Delete
Authorization
Query

Account information access request id

Response Body

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/api/v1.0/ais/Request/Delete?id=497f6eca-6276-4993-bfeb-53cbbbba6f08"
Empty
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
Empty